<?php
get_header();
?>
<div id="main"> 
  <!-- begin main div -->
  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
  <div class="main-content">
    <div class="postbackground">
      <div class="datebackground">
        <span class="datejm">
          <?php the_time('j M'); ?>
        </span>
        <span class="datey">
          <?php the_time('y'); ?>
        </span>
      </div>
      <div class="postmetadata">
        <p class="background-postmetadata">
        <?php if ( function_exists('the_tags') ) : ?>
          <?php the_tags('Tags: ',', ','.'); ?>
        <?php endif; ?>   
        <br />
        <span style="border-top:1px solid #dedede;">
          <?php _e('Author', 'Greenxi') ?>: 
          <?php the_author_posts_link(); ?>,
           <?php if ( comments_open() ) : ?>
          <?php comments_popup_link(__('Comments (0)', 'Greenxi'), __('Comments (1)', 'Greenxi'), __('Comments (%)', 'Greenxi')); ?>
        <?php endif; ?> </span>
        </p>
        <?php if ( function_exists('wp_link_pages') ) : ?>
      <div class="background-link-pages"><?php wp_link_pages(); ?></div> 
          <?php endif; ?>
      </div>
   <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>   <!-- begin post -->
           <div class="posttitle">
          <h2>
            <a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>">
              <?php the_title(); ?></a></h2>
          
        </div>
        <div class="entry">
          <p>
            <?php edit_post_link(__('Edit This', 'Greenxi')); ?>
          </p>          
<?php 
if (of_get_option('radio2', 'no entry') === false) {
the_content('.. continue reading ..');
} elseif (of_get_option('radio2', 'no entry') !== false) {
	
if(has_post_thumbnail()) {

if(of_get_option('radio4', 'no entry') === "two") {
$myalign = "class=alignright  mybgthumbnail";
the_post_thumbnail('thumbnail', $myalign);
} elseif(of_get_option('radio4', 'no entry') === "one") {
$myalign = "class=alignleft  mybgthumbnail";
the_post_thumbnail('thumbnail', $myalign);
} 
} else { 
if(of_get_option('radio4', 'no entry') === "two") {
$myalign = "alignright  mybgthumbnail";
} elseif(of_get_option('radio4', 'no entry') === "one") {
$myalign = "alignleft  mybgthumbnail";
}
?>
<a title="<?php the_title(); ?>" href="<?php the_permalink(); ?>">
<img class="<?php echo $myalign; ?> wp-post-image" alt="<?php the_title(); ?>" src="<?php echo get_template_directory_uri(); ?>/images/thumbdefault.jpg" width="<?php echo of_get_option('text_width_thumb');?>" height="<?php echo of_get_option('text_height_thumb');?>" />
</a>
<?php 
} 
 ?>
<?php
global $more; $more = -1;
the_excerpt();
$more = 0;
}?>
</div><br />
        <p class="fsize">
          <?php _e('Link Category', 'Greenxi'); ?>: 
          <?php the_category(', ') ?></p>
          
        <?php comments_template('', true); ?>
      </div> 
    </div> <!-- end post -->
  </div><br /><br />
  <?php endwhile; else: ?>
  <p id="sorry"><br />
    <?php _e('Sorry, no posts matched your criteria.', 'Greenxi'); ?>
  </p>
  <?php endif; ?>
  <div class="navigationpost">
    <!-- begin pages navigation -->
    <?php posts_nav_link(' &brvbar; ', __('&laquo; Newer Posts', 'Greenxi'), __('Older Posts &raquo;', 'Greenxi')); ?>
  </div> 
  <!-- end pages navigation --><br />
</div> 
<!-- end main div -->
<?php
get_sidebar();
?>
<?php get_footer(); ?>
